class CreateQuizResults < ActiveRecord::Migration[8.0]
  def change
    create_table :quiz_results do |t|
      t.string :share_id, null: false
      t.string :player_name, null: false
      t.string :stats, null: false
      t.string :locale, null: false
      t.integer :score, null: false

      t.timestamps
    end

    add_index :quiz_results, :share_id, unique: true
  end
end
